# Copyright (c) 2018, The MITRE Corporation. All rights reserved.
# See LICENSE.txt for complete terms.

# This is an auto-generated file.
# stix	-	1.1.1.10

__date__ = "2018-03-21 13:01:55.202000"


# Maps Python instance attribute names to XML instance field names for
# Python API classes.
_FIELDS = {
    "cybox.common.contributor.Contributor": {
        "contribution_location": "Contribution_Location",
        "date": "Date",
        "email": "Email",
        "name": "Name",
        "organization": "Organization",
        "phone": "Phone",
        "role": "Role",
    },
    "cybox.common.object_properties.ObjectProperties": {
        "custom_properties": "Custom_Properties",
        "object_reference": "@object_reference",
    },
    "cybox.common.structured_text.StructuredText": {
        "structuring_format": "@structuring_format",
        "value": "text()",
    },
    "cybox.common.time.Time": {
        "end_time": "End_Time",
        "produced_time": "Produced_Time",
        "received_time": "Received_Time",
        "start_time": "Start_Time",
    },
    "cybox.common.tools.ToolInformationList": {
        "tool": "Tool",
    },
    "cybox.core.observable.Observable": {
        "description": "Description",
        "event": "Event",
        "id_": "@id",
        "idref": "@idref",
        "keywords": "Keywords",
        "object_": "Object",
        "observable_composition": "Observable_Composition",
        "observable_source": "Observable_Source",
        "pattern_fidelity": "Pattern_Fidelity",
        "sighting_count": "@sighting_count",
        "title": "Title",
    },
    "cybox.core.observable.ObservableComposition": {
        "observables": "Observable",
        "operator": "@operator",
    },
    "cybox.core.observable.Observables": {
        "observable_package_source": "Observable_Package_Source",
        "observables": "Observable",
    },
    "cybox.objects.file_object.File": {
        "accessed_time": "Accessed_Time",
        "byte_runs": "Byte_Runs",
        "compression_comment": "Compression_Comment",
        "compression_method": "Compression_Method",
        "compression_version": "Compression_Version",
        "created_time": "Created_Time",
        "custom_properties": "Custom_Properties",
        "decryption_key": "Decryption_Key",
        "device_path": "Device_Path",
        "digital_signatures": "Digital_Signatures",
        "encryption_algorithm": "Encryption_Algorithm",
        "extracted_features": "Extracted_Features",
        "file_attributes_list": "File_Attributes_List",
        "file_extension": "File_Extension",
        "file_format": "File_Format",
        "file_name": "File_Name",
        "file_path": "File_Path",
        "full_path": "Full_Path",
        "hashes": "Hashes",
        "is_masqueraded": "@is_masqueraded",
        "is_packed": "@is_packed",
        "magic_number": "Magic_Number",
        "modified_time": "Modified_Time",
        "object_reference": "@object_reference",
        "packer_list": "Packer_List",
        "peak_entropy": "Peak_Entropy",
        "permissions": "Permissions",
        "size_in_bytes": "Size_In_Bytes",
        "sym_links": "Sym_Links",
        "user_owner": "User_Owner",
    },
    "stix.base.BaseCoreComponent": {
        "description": "Description",
        "handling": "Handling",
        "id_": "@id",
        "idref": "@idref",
        "short_description": "Short_Description",
        "timestamp": "@timestamp",
        "title": "Title",
        "version": "@version",
    },
    "stix.campaign.AssociatedCampaigns": {
        "campaign": "Associated_Campaign",
        "scope": "@scope",
    },
    "stix.campaign.Attribution": {
        "scope": "@scope",
        "threat_actor": "Attributed_Threat_Actor",
    },
    "stix.campaign.Campaign": {
        "activity": "Activity",
        "associated_campaigns": "Associated_Campaigns",
        "attribution": "Attribution",
        "confidence": "Confidence",
        "description": "Description",
        "handling": "Handling",
        "id_": "@id",
        "idref": "@idref",
        "information_source": "Information_Source",
        "intended_effects": "Intended_Effect",
        "names": "Names",
        "related_incidents": "Related_Incidents",
        "related_indicators": "Related_Indicators",
        "related_packages": "Related_Packages",
        "related_ttps": "Related_TTPs",
        "short_description": "Short_Description",
        "status": "Status",
        "timestamp": "@timestamp",
        "title": "Title",
        "version": "@version",
    },
    "stix.campaign.Names": {
        "name": "Name",
    },
    "stix.campaign.RelatedIncidents": {
        "incident": "Related_Incident",
        "scope": "@scope",
    },
    "stix.campaign.RelatedIndicators": {
        "indicator": "Related_Indicator",
        "scope": "@scope",
    },
    "stix.campaign.RelatedTTPs": {
        "scope": "@scope",
        "ttp": "Related_TTP",
    },
    "stix.coa.CourseOfAction": {
        "cost": "Cost",
        "description": "Description",
        "efficacy": "Efficacy",
        "handling": "Handling",
        "id_": "@id",
        "idref": "@idref",
        "impact": "Impact",
        "information_source": "Information_Source",
        "objective": "Objective",
        "parameter_observables": "Parameter_Observables",
        "related_coas": "Related_COAs",
        "related_packages": "Related_Packages",
        "short_description": "Short_Description",
        "stage": "Stage",
        "structured_coa": "Structured_COA",
        "timestamp": "@timestamp",
        "title": "Title",
        "type_": "Type",
        "version": "@version",
    },
    "stix.coa.RelatedCOAs": {
        "related_coa": "Related_COA",
        "scope": "@scope",
    },
    "stix.coa.objective.Objective": {
        "applicability_confidence": "Applicability_Confidence",
        "description": "Description",
        "short_description": "Short_Description",
    },
    "stix.coa.structured_coa._BaseStructuredCOA": {
        "id_": "@id",
        "idref": "@idref",
    },
    "stix.common.EncodedCDATA": {
        "encoded": "@encoded",
        "value": "text()",
    },
    "stix.common.activity.Activity": {
        "date_time": "Date_Time",
        "description": "Description",
    },
    "stix.common.campaign_reference.CampaignRef": {
        "idref": "@idref",
        "names": "Names",
        "timestamp": "@timestamp",
    },
    "stix.common.confidence.Confidence": {
        "description": "Description",
        "source": "Source",
        "timestamp": "@timestamp",
        "timestamp_precision": "@timestamp_precision",
        "value": "Value",
    },
    "stix.common.datetimewithprecision.DateTimeWithPrecision": {
        "precision": "@precision",
        "value": "text()",
    },
    "stix.common.identity.Identity": {
        "id_": "@id",
        "idref": "@idref",
        "name": "Name",
        "related_identities": "Related_Identities",
    },
    "stix.common.identity.RelatedIdentities": {
        "related_identity": "Related_Identity",
    },
    "stix.common.information_source.ContributingSources": {
        "source": "Source",
    },
    "stix.common.information_source.InformationSource": {
        "contributing_sources": "Contributing_Sources",
        "description": "Description",
        "identity": "Identity",
        "references": "References",
        "roles": "Role",
        "time": "Time",
        "tools": "Tools",
    },
    "stix.common.kill_chains.KillChain": {
        "definer": "@definer",
        "id_": "@id",
        "kill_chain_phases": "Kill_Chain_Phase",
        "name": "@name",
        "number_of_phases": "@number_of_phases",
        "reference": "@reference",
    },
    "stix.common.kill_chains.KillChainPhase": {
        "name": "@name",
        "ordinality": "@ordinality",
        "phase_id": "@phase_id",
    },
    "stix.common.kill_chains.KillChainPhaseReference": {
        "kill_chain_id": "@kill_chain_id",
        "kill_chain_name": "@kill_chain_name",
        "name": "@name",
        "ordinality": "@ordinality",
        "phase_id": "@phase_id",
    },
    "stix.common.kill_chains.KillChainPhasesReference": {
        "kill_chain_phase": "Kill_Chain_Phase",
    },
    "stix.common.kill_chains.KillChains": {
        "kill_chain": "Kill_Chain",
    },
    "stix.common.names.Names": {
        "name": "Name",
    },
    "stix.common.profiles.Profiles": {
        "profile": "Profile",
    },
    "stix.common.references.References": {
        "reference": "Reference",
    },
    "stix.common.related.GenericRelationship": {
        "confidence": "Confidence",
        "information_source": "Information_Source",
        "relationship": "Relationship",
    },
    "stix.common.related.GenericRelationshipEntity": {
        "scope": "@scope",
    },
    "stix.common.related.RelatedCOA": {
        "confidence": "Confidence",
        "information_source": "Information_Source",
        "item": "Course_Of_Action",
        "relationship": "Relationship",
    },
    "stix.common.related.RelatedCampaign": {
        "confidence": "Confidence",
        "information_source": "Information_Source",
        "item": "Campaign",
        "relationship": "Relationship",
    },
    "stix.common.related.RelatedCampaignRef": {
        "confidence": "Confidence",
        "information_source": "Information_Source",
        "item": "Campaign",
        "relationship": "Relationship",
    },
    "stix.common.related.RelatedExploitTarget": {
        "confidence": "Confidence",
        "information_source": "Information_Source",
        "item": "Exploit_Target",
        "relationship": "Relationship",
    },
    "stix.common.related.RelatedIdentity": {
        "confidence": "Confidence",
        "information_source": "Information_Source",
        "item": "Identity",
        "relationship": "Relationship",
    },
    "stix.common.related.RelatedIncident": {
        "confidence": "Confidence",
        "information_source": "Information_Source",
        "item": "Incident",
        "relationship": "Relationship",
    },
    "stix.common.related.RelatedIndicator": {
        "confidence": "Confidence",
        "information_source": "Information_Source",
        "item": "Indicator",
        "relationship": "Relationship",
    },
    "stix.common.related.RelatedObservable": {
        "confidence": "Confidence",
        "information_source": "Information_Source",
        "item": "Observable",
        "relationship": "Relationship",
    },
    "stix.common.related.RelatedPackage": {
        "confidence": "Confidence",
        "information_source": "Information_Source",
        "item": "Package",
        "relationship": "Relationship",
    },
    "stix.common.related.RelatedPackageRef": {
        "confidence": "Confidence",
        "idref": "@idref",
        "information_source": "Information_Source",
        "relationship": "Relationship",
        "timestamp": "@timestamp",
    },
    "stix.common.related.RelatedPackageRefs": {
        "package": "Package_Reference",
    },
    "stix.common.related.RelatedPackages": {
        "related_package": "Related_Package",
        "scope": "@scope",
    },
    "stix.common.related.RelatedTTP": {
        "confidence": "Confidence",
        "information_source": "Information_Source",
        "item": "TTP",
        "relationship": "Relationship",
    },
    "stix.common.related.RelatedThreatActor": {
        "confidence": "Confidence",
        "information_source": "Information_Source",
        "item": "Threat_Actor",
        "relationship": "Relationship",
    },
    "stix.common.related._BaseRelated": {
        "confidence": "Confidence",
        "information_source": "Information_Source",
        "relationship": "Relationship",
    },
    "stix.common.statement.Statement": {
        "confidence": "Confidence",
        "description": "Description",
        "source": "Source",
        "timestamp": "@timestamp",
        "timestamp_precision": "@timestamp_precision",
        "value": "Value",
    },
    "stix.common.structured_text.StructuredText": {
        "id_": "@id",
        "structuring_format": "@structuring_format",
        "value": "text()",
    },
    "stix.common.tools.ToolInformation": {
        "description": "Description",
        "id_": "@id",
        "idref": "@idref",
        "name": "Name",
        "service_pack": "Service_Pack",
        "short_description": "Short_Description",
        "title": "Title",
        "tool_hashes": "Tool_Hashes",
        "type_": "Type",
        "vendor": "Vendor",
        "version": "Version",
    },
    "stix.common.vocabs.AssetType_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.AttackerInfrastructureType_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.AttackerToolType_1_0": {
        "apply_condition": "@apply_condition",
        "bit_mask": "@bit_mask",
        "condition": "@condition",
        "delimiter": "@delimiter",
        "has_changed": "@has_changed",
        "is_case_sensitive": "@is_case_sensitive",
        "pattern_type": "@pattern_type",
        "regex_syntax": "@regex_syntax",
        "trend": "@trend",
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.AvailabilityLossType_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.AvailabilityLossType_1_1_1": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.COAStage_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.CampaignStatus_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.CourseOfActionType_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.DiscoveryMethod_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.DiscoveryMethod_2_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.HighMediumLow_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.ImpactQualification_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.ImpactRating_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.IncidentCategory_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.IncidentEffect_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.IncidentStatus_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.IndicatorType_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.IndicatorType_1_1": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.InformationSourceRole_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.InformationType_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.IntendedEffect_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.LocationClass_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.LossDuration_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.LossProperty_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.MalwareType_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.ManagementClass_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.Motivation_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.Motivation_1_0_1": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.Motivation_1_1": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.OwnershipClass_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.PackageIntent_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.PlanningAndOperationalSupport_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.PlanningAndOperationalSupport_1_0_1": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.ReportIntent_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.SecurityCompromise_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.SystemType_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.ThreatActorSophistication_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.ThreatActorType_1_0": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.common.vocabs.VocabString": {
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.core.Campaigns": {
        "campaign": "Campaign",
    },
    "stix.core.CoursesOfAction": {
        "course_of_action": "Course_Of_Action",
    },
    "stix.core.ExploitTargets": {
        "exploit_target": "Exploit_Target",
    },
    "stix.core.Incidents": {
        "incident": "Incident",
    },
    "stix.core.Indicators": {
        "indicator": "Indicator",
    },
    "stix.core.ThreatActors": {
        "threat_actor": "Threat_Actor",
    },
    "stix.core.stix_header.STIXHeader": {
        "description": "Description",
        "handling": "Handling",
        "information_source": "Information_Source",
        "package_intents": "Package_Intent",
        "profiles": "Profiles",
        "short_description": "Short_Description",
        "title": "Title",
    },
    "stix.core.stix_package.STIXPackage": {
        "campaigns": "Campaigns",
        "courses_of_action": "Courses_Of_Action",
        "exploit_targets": "Exploit_Targets",
        "id_": "@id",
        "idref": "@idref",
        "incidents": "Incidents",
        "indicators": "Indicators",
        "observables": "Observables",
        "related_packages": "Related_Packages",
        "stix_header": "STIX_Header",
        "threat_actors": "Threat_Actors",
        "timestamp": "@timestamp",
        "ttps": "TTPs",
        "version": "@version",
    },
    "stix.core.ttps.TTPs": {
        "kill_chains": "Kill_Chains",
        "ttps": "TTP",
    },
    "stix.data_marking.Marking": {
        "marking": "Marking",
    },
    "stix.data_marking.MarkingSpecification": {
        "controlled_structure": "Controlled_Structure",
        "id_": "@id",
        "idref": "@idref",
        "information_source": "Information_Source",
        "marking_structures": "Marking_Structure",
        "version": "@version",
    },
    "stix.data_marking.MarkingStructure": {
        "id_": "@id",
        "idref": "@idref",
        "marking_model_name": "@marking_model_name",
        "marking_model_ref": "@marking_model_ref",
    },
    "stix.exploit_target.ExploitTarget": {
        "configuration": "Configuration",
        "description": "Description",
        "handling": "Handling",
        "id_": "@id",
        "idref": "@idref",
        "information_source": "Information_Source",
        "potential_coas": "Potential_COAs",
        "related_exploit_targets": "Related_Exploit_Targets",
        "related_packages": "Related_Packages",
        "short_description": "Short_Description",
        "timestamp": "@timestamp",
        "title": "Title",
        "version": "@version",
        "vulnerabilities": "Vulnerability",
        "weaknesses": "Weakness",
    },
    "stix.exploit_target.PotentialCOAs": {
        "potential_coa": "Potential_COA",
        "scope": "@scope",
    },
    "stix.exploit_target.RelatedExploitTargets": {
        "related_exploit_target": "Related_Exploit_Target",
        "scope": "@scope",
    },
    "stix.exploit_target.configuration.Configuration": {
        "cce_id": "CCE_ID",
        "description": "Description",
        "short_description": "Short_Description",
    },
    "stix.exploit_target.vulnerability.AffectedSoftware": {
        "affected_software": "Affected_Software",
        "scope": "@scope",
    },
    "stix.exploit_target.vulnerability.CVSSVector": {
        "base_score": "Base_Score",
        "base_vector": "Base_Vector",
        "environmental_score": "Environmental_Score",
        "environmental_vector": "Environmental_Vector",
        "overall_score": "Overall_Score",
        "temporal_score": "Temporal_Score",
        "temporal_vector": "Temporal_Vector",
    },
    "stix.exploit_target.vulnerability.Vulnerability": {
        "affected_software": "Affected_Software",
        "cve_id": "CVE_ID",
        "cvss_score": "CVSS_Score",
        "description": "Description",
        "discovered_datetime": "Discovered_DateTime",
        "is_known": "@is_known",
        "is_publicly_acknowledged": "@is_publicly_acknowledged",
        "osvdb_id": "OSVDB_ID",
        "published_datetime": "Published_DateTime",
        "references": "References",
        "short_description": "Short_Description",
        "source": "Source",
        "title": "Title",
    },
    "stix.exploit_target.weakness.Weakness": {
        "cwe_id": "CWE_ID",
        "description": "Description",
    },
    "stix.extensions.identity.ciq_identity_3_0.CIQIdentity3_0Instance": {
        "id_": "@id",
        "idref": "@idref",
        "name": "Name",
        "related_identities": "Related_Identities",
    },
    "stix.extensions.malware.maec_4_1_malware.MAECInstance": {
        "description": "Description",
        "id_": "@id",
        "idref": "@idref",
        "maec": "MAEC",
        "names": "Name",
        "short_description": "Short_Description",
        "title": "Title",
        "types": "Type",
    },
    "stix.extensions.marking.ais.AISConsentType": {
        "consent": "@consent",
    },
    "stix.extensions.marking.ais.AISMarkingStructure": {
        "id_": "@id",
        "idref": "@idref",
        "is_proprietary": "Is_Proprietary",
        "marking_model_name": "@marking_model_name",
        "marking_model_ref": "@marking_model_ref",
        "not_proprietary": "Not_Proprietary",
    },
    "stix.extensions.marking.ais.IsProprietary": {
        "ais_consent": "AISConsent",
        "cisa_proprietary": "CISA_Proprietary",
        "tlp_marking": "TLPMarking",
    },
    "stix.extensions.marking.ais.NotProprietary": {
        "ais_consent": "AISConsent",
        "cisa_proprietary": "CISA_Proprietary",
        "tlp_marking": "TLPMarking",
    },
    "stix.extensions.marking.ais.TLPMarkingType": {
        "color": "@color",
    },
    "stix.extensions.marking.simple_marking.SimpleMarkingStructure": {
        "id_": "@id",
        "idref": "@idref",
        "marking_model_name": "@marking_model_name",
        "marking_model_ref": "@marking_model_ref",
        "statement": "Statement",
    },
    "stix.extensions.marking.terms_of_use_marking.TermsOfUseMarkingStructure": {
        "id_": "@id",
        "idref": "@idref",
        "marking_model_name": "@marking_model_name",
        "marking_model_ref": "@marking_model_ref",
        "terms_of_use": "Terms_Of_Use",
    },
    "stix.extensions.marking.tlp.TLPMarkingStructure": {
        "color": "@color",
        "id_": "@id",
        "idref": "@idref",
        "marking_model_name": "@marking_model_name",
        "marking_model_ref": "@marking_model_ref",
    },
    "stix.extensions.structured_coa.generic_structured_coa.GenericStructuredCOA": {
        "description": "Description",
        "id_": "@id",
        "idref": "@idref",
        "reference_location": "@reference_location",
        "specification": "Specification",
        "type_": "Type",
    },
    "stix.extensions.test_mechanism.generic_test_mechanism.GenericTestMechanism": {
        "description": "Description",
        "efficacy": "Efficacy",
        "id_": "@id",
        "idref": "@idref",
        "producer": "Producer",
        "reference_location": "@reference_location",
        "specification": "Specification",
        "type_": "Type",
    },
    "stix.extensions.test_mechanism.open_ioc_2010_test_mechanism.OpenIOCTestMechanism": {
        "efficacy": "Efficacy",
        "id_": "@id",
        "idref": "@idref",
        "ioc": "@ioc",
        "producer": "Producer",
    },
    "stix.extensions.test_mechanism.snort_test_mechanism.SnortTestMechanism": {
        "efficacy": "Efficacy",
        "event_filters": "Event_Filter",
        "event_suppressions": "Event_Suppression",
        "id_": "@id",
        "idref": "@idref",
        "producer": "Producer",
        "product_name": "Product_Name",
        "rate_filters": "Rate_Filter",
        "rules": "Rule",
        "version": "Version",
    },
    "stix.extensions.test_mechanism.yara_test_mechanism.YaraTestMechanism": {
        "efficacy": "Efficacy",
        "id_": "@id",
        "idref": "@idref",
        "producer": "Producer",
        "rule": "Rule",
        "version": "Version",
    },
    "stix.incident.AffectedAssets": {
        "affected_asset": "Affected_Asset",
    },
    "stix.incident.AttributedThreatActors": {
        "scope": "@scope",
        "threat_actor": "Threat_Actor",
    },
    "stix.incident.Incident": {
        "affected_assets": "Affected_Assets",
        "attributed_threat_actors": "Attributed_Threat_Actors",
        "categories": "Categories",
        "coa_requested": "COA_Requested",
        "coa_taken": "COA_Taken",
        "confidence": "Confidence",
        "contacts": "Contact",
        "coordinators": "Coordinator",
        "description": "Description",
        "discovery_methods": "Discovery_Method",
        "external_ids": "External_ID",
        "handling": "Handling",
        "history": "History",
        "id_": "@id",
        "idref": "@idref",
        "impact_assessment": "Impact_Assessment",
        "information_source": "Information_Source",
        "intended_effects": "Intended_Effect",
        "leveraged_ttps": "Leveraged_TTPs",
        "related_incidents": "Related_Incidents",
        "related_indicators": "Related_Indicators",
        "related_observables": "Related_Observables",
        "related_packages": "Related_Packages",
        "reporter": "Reporter",
        "responders": "Responder",
        "security_compromise": "Security_Compromise",
        "short_description": "Short_Description",
        "status": "Status",
        "time": "Time",
        "timestamp": "@timestamp",
        "title": "Title",
        "url": "URL",
        "version": "@version",
        "victims": "Victim",
    },
    "stix.incident.IncidentCategories": {
        "category": "Category",
    },
    "stix.incident.LeveragedTTPs": {
        "scope": "@scope",
        "ttp": "Leveraged_TTP",
    },
    "stix.incident.RelatedIncidents": {
        "incident": "Related_Incident",
        "scope": "@scope",
    },
    "stix.incident.RelatedIndicators": {
        "indicator": "Related_Indicator",
        "scope": "@scope",
    },
    "stix.incident.RelatedObservables": {
        "observable": "Related_Observable",
        "scope": "@scope",
    },
    "stix.incident.affected_asset.AffectedAsset": {
        "business_function_or_roles": "Business_Function_Or_Role",
        "description": "Description",
        "location_class": "Location_Class",
        "management_class": "Management_Class",
        "nature_of_security_effect": "Nature_Of_Security_Effect",
        "ownership_class": "Ownership_Class",
        "structured_description": "Structured_Description",
        "type_": "Type",
    },
    "stix.incident.affected_asset.AssetType": {
        "count_affected": "@count_affected",
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.incident.affected_asset.NatureOfSecurityEffect": {
        "nature_of_security_effect": "Property_Affected",
    },
    "stix.incident.coa.COARequested": {
        "contributors": "Contributors",
        "course_of_action": "Course_Of_Action",
        "priority": "@priority",
        "time": "Time",
    },
    "stix.incident.coa.COATaken": {
        "contributors": "Contributors",
        "course_of_action": "Course_Of_Action",
        "time": "Time",
    },
    "stix.incident.coa.COATime": {
        "end": "End",
        "start": "Start",
    },
    "stix.incident.contributors.Contributors": {
        "contributors": "Contributor",
    },
    "stix.incident.direct_impact_summary.DirectImpactSummary": {
        "asset_losses": "Asset_Losses",
        "business_mission_disruption": "Business_Mission_Disruption",
        "response_and_recovery_costs": "Response_And_Recovery_Costs",
    },
    "stix.incident.external_id.ExternalID": {
        "source": "@source",
        "value": "text()",
    },
    "stix.incident.history.History": {
        "history_items": "History_Item",
    },
    "stix.incident.history.HistoryItem": {
        "action_entry": "Action_Entry",
        "journal_entry": "Journal_Entry",
    },
    "stix.incident.history.JournalEntry": {
        "author": "@author",
        "time": "@time",
        "time_precision": "@time_precision",
        "value": "text()",
    },
    "stix.incident.impact_assessment.Effects": {
        "effects": "Effect",
    },
    "stix.incident.impact_assessment.ImpactAssessment": {
        "direct_impact_summary": "Direct_Impact_Summary",
        "effects": "Effects",
        "impact_qualification": "Impact_Qualification",
        "indirect_impact_summary": "Indirect_Impact_Summary",
        "total_loss_estimation": "Total_Loss_Estimation",
    },
    "stix.incident.indirect_impact_summary.IndirectImpactSummary": {
        "brand_and_market_damage": "Brand_And_Market_Damage",
        "increased_operating_costs": "Increased_Operating_Costs",
        "legal_and_regulatory_costs": "Legal_And_Regulatory_Costs",
        "loss_of_competitive_advantage": "Loss_Of_Competitive_Advantage",
    },
    "stix.incident.loss_estimation.LossEstimation": {
        "amount": "@amount",
        "iso_currency_code": "@iso_currency_code",
    },
    "stix.incident.property_affected.NonPublicDataCompromised": {
        "data_encrypted": "@data_encrypted",
        "value": "text()",
        "vocab_name": "@vocab_name",
        "vocab_reference": "@vocab_reference",
    },
    "stix.incident.property_affected.PropertyAffected": {
        "descriptions_of_effect": "Description_Of_Effect",
        "duration_of_availability_loss": "Duration_Of_Availability_Loss",
        "non_public_data_compromised": "Non_Public_Data_Compromised",
        "property_": "Property",
        "type_of_availability_loss": "Type_Of_Availability_Loss",
    },
    "stix.incident.time.Time": {
        "containment_achieved": "Containment_Achieved",
        "first_data_exfiltration": "First_Data_Exfiltration",
        "first_malicious_action": "First_Malicious_Action",
        "incident_closed": "Incident_Closed",
        "incident_discovery": "Incident_Discovery",
        "incident_opened": "Incident_Opened",
        "incident_reported": "Incident_Reported",
        "initial_compromise": "Initial_Compromise",
        "restoration_achieved": "Restoration_Achieved",
    },
    "stix.incident.total_loss_estimation.TotalLossEstimation": {
        "actual_total_loss_estimation": "Actual_Total_Loss_Estimation",
        "initial_reported_total_loss_estimation": "Initial_Reported_Total_Loss_Estimation",
    },
    "stix.indicator.indicator.CompositeIndicatorExpression": {
        "indicator": "Indicator",
        "operator": "@operator",
    },
    "stix.indicator.indicator.Indicator": {
        "alternative_id": "Alternative_ID",
        "composite_indicator_expression": "Composite_Indicator_Expression",
        "confidence": "Confidence",
        "description": "Description",
        "handling": "Handling",
        "id_": "@id",
        "idref": "@idref",
        "indicated_ttps": "Indicated_TTP",
        "indicator_types": "Type",
        "kill_chain_phases": "Kill_Chain_Phases",
        "likely_impact": "Likely_Impact",
        "negate": "@negate",
        "observable": "Observable",
        "producer": "Producer",
        "related_campaigns": "Related_Campaigns",
        "related_indicators": "Related_Indicators",
        "related_packages": "Related_Packages",
        "short_description": "Short_Description",
        "sightings": "Sightings",
        "suggested_coas": "Suggested_COAs",
        "test_mechanisms": "Test_Mechanisms",
        "timestamp": "@timestamp",
        "title": "Title",
        "valid_time_positions": "Valid_Time_Position",
        "version": "@version",
    },
    "stix.indicator.indicator.RelatedCampaignRefs": {
        "related_campaign": "Related_Campaign",
        "scope": "@scope",
    },
    "stix.indicator.indicator.RelatedIndicators": {
        "related_indicator": "Related_Indicator",
        "scope": "@scope",
    },
    "stix.indicator.indicator.SuggestedCOAs": {
        "scope": "@scope",
        "suggested_coa": "Suggested_COA",
    },
    "stix.indicator.sightings.RelatedObservables": {
        "observable": "Related_Observable",
        "scope": "@scope",
    },
    "stix.indicator.sightings.Sighting": {
        "confidence": "Confidence",
        "description": "Description",
        "reference": "Reference",
        "related_observables": "Related_Observables",
        "source": "Source",
        "timestamp": "@timestamp",
        "timestamp_precision": "@timestamp_precision",
    },
    "stix.indicator.sightings.Sightings": {
        "sighting": "Sighting",
        "sightings_count": "@sightings_count",
    },
    "stix.indicator.test_mechanism.TestMechanisms": {
        "test_mechanism": "Test_Mechanism",
    },
    "stix.indicator.test_mechanism._BaseTestMechanism": {
        "efficacy": "Efficacy",
        "id_": "@id",
        "idref": "@idref",
        "producer": "Producer",
    },
    "stix.indicator.valid_time.ValidTime": {
        "end_time": "End_Time",
        "start_time": "Start_Time",
    },
    "stix.threat_actor.AssociatedActors": {
        "associated_actor": "Associated_Actor",
        "scope": "@scope",
    },
    "stix.threat_actor.AssociatedCampaigns": {
        "associated_campaign": "Associated_Campaign",
        "scope": "@scope",
    },
    "stix.threat_actor.ObservedTTPs": {
        "observed_ttp": "Observed_TTP",
        "scope": "@scope",
    },
    "stix.threat_actor.ThreatActor": {
        "associated_actors": "Associated_Actors",
        "associated_campaigns": "Associated_Campaigns",
        "confidence": "Confidence",
        "description": "Description",
        "handling": "Handling",
        "id_": "@id",
        "identity": "Identity",
        "idref": "@idref",
        "information_source": "Information_Source",
        "intended_effects": "Intended_Effect",
        "motivations": "Motivation",
        "observed_ttps": "Observed_TTPs",
        "planning_and_operational_supports": "Planning_And_Operational_Support",
        "related_packages": "Related_Packages",
        "short_description": "Short_Description",
        "sophistications": "Sophistication",
        "timestamp": "@timestamp",
        "title": "Title",
        "types": "Type",
        "version": "@version",
    },
    "stix.ttp.TTP": {
        "behavior": "Behavior",
        "description": "Description",
        "exploit_targets": "Exploit_Targets",
        "handling": "Handling",
        "id_": "@id",
        "idref": "@idref",
        "information_source": "Information_Source",
        "intended_effects": "Intended_Effect",
        "kill_chain_phases": "Kill_Chain_Phases",
        "related_packages": "Related_Packages",
        "related_ttps": "Related_TTPs",
        "resources": "Resources",
        "short_description": "Short_Description",
        "timestamp": "@timestamp",
        "title": "Title",
        "version": "@version",
        "victim_targeting": "Victim_Targeting",
    },
    "stix.ttp.attack_pattern.AttackPattern": {
        "capec_id": "@capec_id",
        "description": "Description",
        "id_": "@id",
        "idref": "@idref",
        "short_description": "Short_Description",
        "title": "Title",
    },
    "stix.ttp.behavior.AttackPatterns": {
        "attack_pattern": "Attack_Pattern",
    },
    "stix.ttp.behavior.Behavior": {
        "attack_patterns": "Attack_Patterns",
        "exploits": "Exploits",
        "malware_instances": "Malware",
    },
    "stix.ttp.behavior.Exploits": {
        "exploit": "Exploit",
    },
    "stix.ttp.behavior.MalwareInstances": {
        "malware_instance": "Malware_Instance",
    },
    "stix.ttp.exploit.Exploit": {
        "description": "Description",
        "id_": "@id",
        "idref": "@idref",
        "short_description": "Short_Description",
        "title": "Title",
    },
    "stix.ttp.exploit_targets.ExploitTargets": {
        "exploit_target": "Exploit_Target",
        "scope": "@scope",
    },
    "stix.ttp.infrastructure.Infrastructure": {
        "description": "Description",
        "id_": "@id",
        "idref": "@idref",
        "observable_characterization": "Observable_Characterization",
        "short_description": "Short_Description",
        "title": "Title",
        "types": "Type",
    },
    "stix.ttp.malware_instance.MalwareInstance": {
        "description": "Description",
        "id_": "@id",
        "idref": "@idref",
        "names": "Name",
        "short_description": "Short_Description",
        "title": "Title",
        "types": "Type",
    },
    "stix.ttp.related_ttps.RelatedTTPs": {
        "related_ttp": "Related_TTP",
        "scope": "@scope",
    },
    "stix.ttp.resource.Personas": {
        "persona": "Persona",
    },
    "stix.ttp.resource.Resource": {
        "infrastructure": "Infrastructure",
        "personas": "Personas",
        "tools": "Tools",
    },
    "stix.ttp.resource.Tools": {
        "tool": "Tool",
    },
    "stix.ttp.victim_targeting.VictimTargeting": {
        "identity": "Identity",
        "targeted_information": "Targeted_Information",
        "targeted_systems": "Targeted_Systems",
    },
}
